# $Revision: 1.136 $, $Date: 2010/07/27 09:41:50 $
#
# Conditional build:
%bcond_without	gtk		# do not build gtk client
%bcond_without  ggz_client	# build without ggz client
%bcond_without  ggz_server	# build without ggz server
#
Summary:	FREE CIVilization clone
Summary(es.UTF-8):	Clon del juego Civilization
Summary(pl.UTF-8):	Niekomercyjny klon CIVilization
Summary(pt_BR.UTF-8):	Clone do jogo Civilization
Name:		freeciv
Version:	2.2.2
Release:	1
License:	GPL v2+
Group:		X11/Applications/Games/Strategy
Source0:	http://downloads.sourceforge.net/freeciv/%{name}-%{version}.tar.bz2
# Source0-md5:	fae46199dedaf0decc3b82dc06f95624
Source1:	http://download.gna.org/freeciv/contrib/tilesets/freeland/freeland-normal-2.0.0.tar.gz
# Source1-md5:	c9f061fca82aa50a19fbbc89c06ff81d
Patch0:		%{name}-link.patch
Patch1:		%{name}-desktop.patch
Patch2:		%{name}-ggz.patch
URL:		http://freeciv.wikia.com/
BuildRequires:	SDL_mixer-devel
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	esound-devel
BuildRequires:	gettext-devel
%{?with_ggz_client:BuildRequires:	ggz-gtk-client-devel}
%{?with_gtk:BuildRequires:	gtk+2-devel}
BuildRequires:	libggz-devel
BuildRequires:	libpng-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	readline-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags	-O1

%description
Free clone of Sid Meier's Civilization. Free Civilization clone for
Unix and X. This is multiplayer strategic game and you can also play
against computer-AI players.

%description -l es.UTF-8
Clon del juego Civilization.

%description -l pl.UTF-8
Freeciv jest to niekomercyjny (GPL) klon gry Civilization Sida Meiera.
Jest to gra strategiczna dla systemu X Window. Można grać w nią z
innymi osobami poprzez sieć, a także przeciwko "graczom" zarządzanym
przez komputer.

%description -l pt_BR.UTF-8
O FreeCiv é uma implementação do Civilization II para o Sistema X
Window.

%package client
Summary:	Freeciv game client
Summary(pl.UTF-8):	Klient gry Freeciv
Group:		X11/Applications/Games/Strategy
Requires:	%{name} = %{version}-%{release}
Requires:	SDL_mixer
Suggests:	%{name}-server = %{version}-%{release}

%description client
This package contains Freeciv game client.

%description client -l pl.UTF-8
Ten pakiet zawiera klienta gry Freeciv.

%package server
Summary:	Freeciv game server
Summary(pl.UTF-8):	Serwer gry Freeciv
Group:		X11/Applications/Games/Strategy
Requires:	%{name} = %{version}-%{release}

%description server
This package contans Freeciv game server.

%description server -l pl.UTF-8
Ten pakiet zawiera server gry Freeciv.

%prep
%setup -q -a1
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-ggzd-confdir=%{_sysconfdir}/ggzd \
	%{?with_gtk:--enable-client=gtk} \
	%{!?with_ggz_client:--without-ggz-client} \
	%{!?with_ggz_server:--without-ggz-server}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -a client/%{name}.desktop $RPM_BUILD_ROOT%{_desktopdir}/%{name}-client.desktop
cp -a server/%{name}-server.desktop $RPM_BUILD_ROOT%{_desktopdir}
rm $RPM_BUILD_ROOT%{_desktopdir}/%{name}.desktop

cp -a data/icons/32x32/*.png $RPM_BUILD_ROOT%{_pixmapsdir}
cp -a data/stdsounds{,.soundspec} $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -a freeland.tilespec $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -a freeland $RPM_BUILD_ROOT%{_datadir}/%{name}

rm -rf $RPM_BUILD_ROOT%{_datadir}/locale/no
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/ggz.modules

%{?with_gtk:cp -a data/gtk_menus.xml $RPM_BUILD_ROOT%{_datadir}/%{name}}

%if %{with ggz_server}
install -d $RPM_BUILD_ROOT%{_sysconfdir}/ggzd/{games,rooms}
cp -a data/civserver.dsc $RPM_BUILD_ROOT%{_sysconfdir}/ggzd/games/civserver.dsc
cp -a data/civserver.room $RPM_BUILD_ROOT%{_sysconfdir}/ggzd/rooms/civserver.room
%endif

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS README ChangeLog NEWS
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/helpdata.txt

%files server
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/freeciv-server
%{_desktopdir}/%{name}-server.desktop
%{_datadir}/%{name}/civ1
%{_datadir}/%{name}/civ2
%{_datadir}/%{name}/default
%{_datadir}/%{name}/nation
%{_datadir}/%{name}/scenario
%{_datadir}/%{name}/*.serv
%{_mandir}/man6/freeciv-server.6*
%{_iconsdir}/hicolor/*/apps/freeciv-server.png
%{_pixmapsdir}/freeciv-server.png

%if %{with ggz_server}
%dir %{_sysconfdir}/ggzd
%dir %{_sysconfdir}/ggzd/games
%dir %{_sysconfdir}/ggzd/rooms
%{_sysconfdir}/ggzd/games/civserver.dsc
%{_sysconfdir}/ggzd/rooms/civserver.room
%endif

%files client
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/freeciv-gtk2
%attr(755,root,root) %{_bindir}/civmanual
%{_desktopdir}/%{name}-client.desktop
%{_datadir}/%{name}/*.*spec
%{_datadir}/%{name}/amplio
%{_datadir}/%{name}/buildings
%{_datadir}/%{name}/flags
%{_datadir}/%{name}/freeciv.rc*
%{_datadir}/%{name}/freeland
%{?with_gtk:%{_datadir}/%{name}/gtk_menus.xml}
%{_datadir}/%{name}/hex2t
%{_datadir}/%{name}/isophex
%{_datadir}/%{name}/isotrident
%{_datadir}/%{name}/misc
%{_datadir}/%{name}/stdsounds
%{_datadir}/%{name}/themes
%{_datadir}/%{name}/trident
%{_datadir}/%{name}/wonders
%{_mandir}/man6/freeciv-client.6*
%{_mandir}/man6/freeciv-ftwl.6*
%{_mandir}/man6/freeciv-gtk2.6*
%{_mandir}/man6/freeciv-sdl.6*
%{_mandir}/man6/freeciv-win32.6*
%{_mandir}/man6/freeciv-xaw.6*
%{_iconsdir}/hicolor/*/apps/freeciv-client.png
%{_pixmapsdir}/freeciv-client.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: freeciv.spec,v $
Revision 1.136  2010/07/27 09:41:50  lisu
- 2.2.2

Revision 1.135  2010/05/26 07:59:06  lisu
- up to 2.2.1
- new external source for freeland tiles
- stdsounds embedded since first version from 2.x series
- package manpages for more clinets

Revision 1.134  2010/02/24 16:54:45  pawelz
- dropped unused BR: ggz-server-devel
- BR: s/libpng12-devel/libpng-devel/

Revision 1.133  2010/02/24 10:20:13  lisu
- package gtk_menus.xml when building gtk client - without that file menus won't work
- rel 2

Revision 1.132  2010/02/22 14:51:36  sparky
- BR: gettext-devel

Revision 1.131  2010/02/22 12:26:40  lisu
- notice about libtoolize in previous log
- BR: libtool

Revision 1.130  2010/02/22 12:16:16  lisu
- updated to final 2.2.0 version
- merge with DEVEL
- add missing BR: libpng12-devel
- call libtoolize

Revision 1.129  2010/02/07 21:47:44  glen
- more cosmetics

Revision 1.128  2010/02/07 21:45:13  glen
- readability with ggz_server bcond in file
- "*" is evil, use "*.png" instead in files glob

Revision 1.127  2010/02/07 20:22:02  lisu
- add /etc/ggzd dir
- rel 2

Revision 1.126  2010/02/04 15:15:10  lisu
- up to 2.1.11

Revision 1.125.2.4  2010/01/18 11:13:58  lisu
- updated to 2.2.0-beta3

Revision 1.125.2.3  2009/12/24 10:02:02  lisu
- rel 0.beta1.1

Revision 1.125.2.2  2009/12/24 09:33:07  lisu
- don't install server and client icons with main package

Revision 1.125.2.1  2009/12/24 09:08:39  lisu
- updated to 2.2.0-beta1
- can't connect to ftp://ftp.freeciv.org so now additional packages are taken from DISTFILES
- some file names changes: civserver -> freeciv-server, civclient -> freeciv-gtk2
- include man pages for freeciv-gtk2

Revision 1.125  2009/11/26 11:45:14  lisu
- up to 2.1.10
- create inexistent dirs in %%files
- adpater

Revision 1.124  2009/03/31 09:33:05  lisu
- 2.1.9

Revision 1.123  2009/02/23 22:12:26  arekm
- release 3

Revision 1.122  2009/02/11 10:53:16  radek
- release 2: compile with -O1 -- gcc apparently miscompiles it with -O2

Revision 1.121  2008/12/04 08:37:22  lisu
- 2.1.8

Revision 1.120  2008/11/27 15:28:30  lisu
- UP TO 2.1.7

Revision 1.119  2008/09/15 19:47:18  qboosh
- rewrapped using proper encoding

Revision 1.118  2008/09/14 19:20:22  pawelz
- up to 2.1.6
- fixed install with ggz-server (it builds now)
- adapterized

Revision 1.117  2008/06/19 06:48:54  adamg
- updated to 2.1.5

Revision 1.116  2008-05-28 11:03:15  jajcus
- missing files added to %files client
- Release: 1

Revision 1.115  2008-04-27 16:11:05  lisu
- up to 2.1.4
- add ggz config files for civserver

Revision 1.114  2008-04-24 14:46:24  lisu
- really suggest freeciv-server

Revision 1.113  2008-04-17 23:12:52  sls
- remove R: esound from client

Revision 1.112  2008-04-11 17:36:29  megabajt
- added -ggz.patch (fixes build when ggz-server package is not installed)

Revision 1.111  2008-04-11 16:33:40  lisu
- freeciv-server for freeciv-client just suggested

Revision 1.110  2008-04-11 15:39:49  lisu
- server is required by client to play

Revision 1.109  2008-02-07 09:43:07  ankry
- unix -> Unix

Revision 1.108  2008-01-27 12:08:44  lisu
- better ggz bconds descriptions

Revision 1.107  2008-01-27 12:02:25  lisu
- up to 2.1.3
- support for GGZ (add ggz-client and ggz-server bconds)
- BR: libggz-devel

Revision 1.106  2007-12-25 14:31:33  lisu
- up to 2.1.2
- gtk 1.2 clients has been removed earlier (bcond changed)

Revision 1.105  2007-11-30 19:50:38  lisu
- 2.1.1
- use .desktop files and icons provided by project (-desktop.patch)

Revision 1.104  2007-11-27 00:20:45  lisu
- proper and complete merge with DEVEL
- fix commit log
- more todo

Revision 1.103  2007-11-02 00:41:25  glen
- add todo

Revision 1.102  2007/11/01 21:52:06  lisu
- remove patch0

Revision 1.101  2007/11/01 21:42:04  lisu
- updated to final 2.1.0 version

Revision 1.100  2007-04-01 19:01:53  rotom
- up to 2.0.9

Revision 1.99  2007/02/13 07:16:44  glen
- tabs in preamble

Revision 1.98  2007/02/12 00:48:49  baggins
- converted to UTF-8

Revision 1.97  2006/03/16 19:49:42  glen
- add CVE ref

Revision 1.96  2006/03/09 21:28:20  jareq
- updated to 2.0.8 [fixes CVE-2006-0047]

Revision 1.95  2005/12/26 15:37:48  qboosh
- added link patch to kill -lbind from linking, release 2

Revision 1.94  2005/12/26 13:56:10  hawk
- rebuild with new bind
- release should be 1

Revision 1.93  2005/11/15 08:47:19  speedo
- updated to 2.0.7

Revision 1.92  2005/09/17 11:39:50  arekm
- new readline 5.0

Revision 1.91  2005/09/02 16:37:31  adamg
- updated to 2.0.5

Revision 1.90  2005/08/11 09:46:18  radek
- bcond_with(out) is followed by one \t, then bcond's name.

Revision 1.89  2005/07/31 09:07:43  adamg
- updated to 2.0.4

Revision 1.88  2005/07/14 13:26:25  jareq
- updated to 2.0.3
- rel 1

Revision 1.87  2005/07/01 06:21:28  jareq
- updated to 2.0.2
- rel 1

Revision 1.86  2005/06/12 02:06:44  ankry
- locale fixes, rel. 3

Revision 1.85  2005/05/23 18:41:22  qboosh
- cleanup (app-defaults dir not used, plain configure)

Revision 1.84  2005/05/23 18:29:22  qboosh
- fixed app-defaults dir (is it used at all now?), cosmetics

Revision 1.83  2005/05/23 18:23:38  adamg
- include standard sounds
- release 2

Revision 1.82  2005/05/22 18:26:29  saq
- attempt to fix amd64 build

Revision 1.81  2005/05/16 06:57:43  adamg
- BuildRequires: pkgconfig

Revision 1.80  2005/05/15 03:40:34  aredridel
- up to 2.0.1
- locale_names patch may need checking

Revision 1.79.2.17  2007/02/12 13:20:12  baggins
- converted to UTF-8

Revision 1.79.2.16  2006/12/22 15:41:34  jareq
- updated to 2.1.0 beta2
- added freeland tileset

Revision 1.79.2.15  2006/03/25 20:42:56  jareq
- updated to 2.1.0 beta1

Revision 1.79.2.14  2005/04/27 13:42:15  paszczus
- updated to 2.0.1
- adaptarized

Revision 1.79.2.13  2005/04/18 11:59:18  paszczus
- updated to FINAL 2.0.0

Revision 1.79.2.12  2005/03/02 06:26:06  adamg
- updated to 2.0.0-beta8

Revision 1.79.2.11  2005/01/21 17:51:11  maho
- version 2 beta 7

Revision 1.79.2.10  2004/12/12 17:09:30  adamg
- put config.sub into proper place
- include civmanual binary too (goes into -clients)

Revision 1.79.2.9  2004/12/12 16:37:30  jareq
- updated to 2.0.0 beta 5

Revision 1.79.2.8  2004/11/22 18:00:20  jareq
- updated to 2.0.0 beta 4

Revision 1.79.2.7  2004/11/05 09:29:38  jareq
- updated to 2.0.0 beta3

Revision 1.79.2.6  2004/10/24 12:17:42  jareq
- updated to beta2
- rel 0.1

Revision 1.79.2.5  2004/10/11 09:21:45  jareq
- added hexagonal tiles
- added missing manpages
- rel 0.2

Revision 1.79.2.4  2004/10/09 21:46:57  jareq
- updated to 2.0.0 beta 1

Revision 1.79.2.3  2004/09/28 13:15:28  maho
- up to current snap
- fixed path to stdsound set
- removed sdl client conditional (sdl client no longer mantained)

Revision 1.79.2.2  2004/09/26 17:00:54  jareq
- added missing Source0-md5

Revision 1.79.2.1  2004/09/26 16:25:22  jareq
- snap 2004.09.23

Revision 1.79  2004/09/25 16:58:45  havner
- %datdir/%name owned by freeciv
- rel 2

Revision 1.78  2004/09/11 06:27:32  paszczus
- updated to 1.14.2

Revision 1.77  2004/08/27 10:48:21  maho
- seems to be stable, rel 5

Revision 1.76  2004/08/22 14:29:21  maho
- freeciv splitted to freeciv,freeciv-client and freeciv-server

Revision 1.75  2004/07/26 07:54:01  ankry
- copy config.sub, rel. 4

Revision 1.74  2004/07/26 07:38:17  ankry
- no -> nb, rel. 3

Revision 1.73  2004/04/06 18:39:51  wolf
- sid meyer

Revision 1.72  2003/12/10 17:57:15  jareq
- fix %setup (my fault - sorry)
- rel 2

Revision 1.71  2003/12/10 17:51:19  jareq
- upgrade to 1.14.1

Revision 1.70  2003/12/10 16:23:49  grzegol
- _applnkdir -> _desktopdir; rel. 1.%%{beta}.1

Revision 1.69  2003/11/20 17:23:28  jareq
- upgrade to 1.14.1-beta4

Revision 1.68  2003/11/10 14:21:37  jareq
- upgrade to 1.14.1-beta3

Revision 1.67  2003/10/19 15:41:28  qboosh
- updated bcond description

Revision 1.66  2003/10/19 11:29:36  wolf
- gtk2 by default

Revision 1.65  2003/09/02 10:48:27  qboosh
- cleanups, pl fixes, removed autogenerated gtk+2 dependency

Revision 1.64  2003/09/02 09:38:48  havner
- added some requires

Revision 1.63  2003/08/25 14:36:54  havner
- stdsounds.spec renamed to stdsounds.soundspec

Revision 1.62  2003/07/08 18:26:39  blues
- "f" and some "g" letters of small fixes inpired by kloczek

Revision 1.61  2003/05/28 12:58:56  malekith
- massive attack: source-md5

Revision 1.60  2003/05/26 16:24:59  malekith
- massive attack: adding Source-md5

Revision 1.59  2003/05/25 05:47:32  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.58  2003/01/20 08:23:33  trojan
- updated to 1.14.0
- added bcond _with_gtk2

Revision 1.57  2003/01/18 22:48:33  juandon
- removed two lines with define

Revision 1.56  2002/08/07 13:18:39  kloczek
- updated BuildRequires rules.

Revision 1.55  2002/08/07 13:16:15  kloczek
- updatd to stable 1.13.0,
- added sound support to package (enabled by default).

Revision 1.54  2002/07/10 00:46:07  kloczek
- updated to 1.12.6 (bugfixes).

Revision 1.53  2002/07/04 00:07:50  kloczek
- updated to 1.12.4 (fixes and .. sound support has been added :).

Revision 1.52  2002/05/21 15:55:57  kloczek
- use new %doc packing infrastructure and merge translations from KSI.

Revision 1.51  2002/05/21 10:32:06  pioklo
- update to 1.12.2
- fix %%doc section,STBR

Revision 1.50  2002/04/25 16:19:33  arturs
fixed a small typo

Revision 1.49  2002/02/22 23:28:54  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.48  2002/01/18 02:12:58  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.47  2001/08/11 14:29:00  kloczek
- updated to 1.12.0.

Revision 1.46  2001/08/03 13:02:54  kloczek
- updated to 1.11.8.

Revision 1.45  2001/07/02 07:18:01  kloczek
- updated to 1.11.6.

Revision 1.44  2001/04/13 23:00:45  kloczek
- added automake, autoconf to BuildRequires.

Revision 1.43  2001/04/13 15:35:17  wiget
added gettext patch; rebuild with readline 4.2; release 2

Revision 1.42  2001/02/02 17:50:33  kloczek
- perl -pi -e "s/^\%\{_datadir\}\/pixmaps/\%\{_pixmapsdir\}/"

Revision 1.41  2000/11/12 20:11:54  kloczek
- modyfications for using neew rpm automation.

Revision 1.40  2000/07/21 12:47:38  kloczek
- updated to 1.11.4.

Revision 1.39  2000/07/18 13:01:53  kloczek
- updated to 1.11.2.

Revision 1.38  2000/07/05 00:10:41  kloczek
- updated to 1.11.0.

Revision 1.37  2000/06/29 14:08:37  kloczek
- updated to 1.10.6.

Revision 1.36  2000/06/22 22:34:29  kloczek
- updated to 1.10.4.

Revision 1.35  2000/06/15 19:57:14  kloczek
- updated to 1.10.2.

Revision 1.34  2000/06/09 07:54:40  kloczek
- more %%{__make} macros.

Revision 1.33  2000/06/09 07:22:50  kloczek
- added using %%{__make} macro.

Revision 1.32  2000/05/18 21:48:35  kloczek
- spec adapterized.

Revision 1.31  2000/05/01 21:02:34  mkochano
- Removed 'BuildRequires: (XFree86|glib)-devel' from packages which have
  'BuildRequires: gtk+-devel'. They were redundant, beacuse 'gtk+-devel' says
  what it needs using 'Requires'. BTW, awk rules :)

Revision 1.30  2000/04/01 11:14:26  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.29  2000/03/28 16:54:17  baggins
- translated kloczkish into english

Revision 1.28  2000/02/22 16:08:51  kloczek
- updated to 1.10.0.

Revision 1.27  2000/02/20 07:04:09  kloczek
- updated to 1.9.6.

Revision 1.26  2000/02/15 12:41:57  kloczek
- updated to 1.9.4.

Revision 1.25  2000/02/11 01:45:26  kloczek
- updated to 1.9.2,
- interface style changed to gtk+,
- added icons for menu entries for FC,
- added internationalizations.

Revision 1.24  1999/09/11 19:34:43  pius
- replaced wmconfig files with *.desktop (PR#9)

Revision 1.23  1999/07/20 12:48:06  wiget
- switch to rpm 3.0.2

Revision 1.22  1999/07/12 23:05:56  kloczek
- added using CVS keywords in %changelog (for automating them).

